package org.greenstone.gatherer.gui.treetable;

/*
 * %W% %E%
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import javax.swing.*;
import javax.swing.tree.TreePath;
import org.greenstone.gatherer.gui.separatortree.SeparatorModel;

/**
 * A TreeTable example, showing a JTreeTable, operating on the local file
 * system.
 *
 * @version %I% %G%
 *
 * @author Philip Milne
 */

public class TreeTableExample1 implements ActionListener {
	 private JTreeTable treeTable = null;

    public static void main(String[] args) {
		  new TreeTableExample1();
    }
	 
    public TreeTableExample1() {
		  JFrame frame = new JFrame("TreeTable");
		  treeTable = new JTreeTable(new SeparatorModel());

		  frame.addWindowListener(new WindowAdapter() {
					 public void windowClosing(WindowEvent we) {
						  System.exit(0);
					 }
				});
		  
		  JPanel content_pane = (JPanel) frame.getContentPane();

		  JButton button = new JButton("Get Selection");
		  button.addActionListener(this);

		  content_pane.setLayout(new BorderLayout());
		  content_pane.add(new JScrollPane(treeTable), BorderLayout.CENTER);
		  content_pane.add(button, BorderLayout.SOUTH);
		  frame.pack();
		  frame.show();
    }

	 public void actionPerformed(ActionEvent event) {
		  TreePath selection[] = treeTable.getSelection();
		  System.err.println("Current Selection:");
		  for(int i = 0; selection != null && i < selection.length; i++) {
				System.err.println(selection[i]);
		  }
	 }
}



